diff options
| author | Jan Djärv | 2003-11-16 16:09:07 +0000 |
|---|---|---|
| committer | Jan Djärv | 2003-11-16 16:09:07 +0000 |
| commit | 57669b57fca39a20c2bdf20a32bff6ab2e999f00 (patch) | |
| tree | 0484e16f553200ad8aaa6ed7ea048843d596a379 | |
| parent | a32e9bfd0009ed0d78a6de7932d361555a0ec361 (diff) | |
| download | emacs-57669b57fca39a20c2bdf20a32bff6ab2e999f00.tar.gz emacs-57669b57fca39a20c2bdf20a32bff6ab2e999f00.zip | |
* configure.in (HAVE_GTK_MULTIDISPLAY): Check if GTK can handle
multiple displays.
Regenerate configure.
| -rw-r--r-- | ChangeLog | 5 | ||||
| -rwxr-xr-x | configure | 122 | ||||
| -rw-r--r-- | configure.in | 13 |
3 files changed, 126 insertions, 14 deletions
| @@ -1,3 +1,8 @@ | |||
| 1 | 2003-11-16 Jan Dj,Ad(Brv <jan.h.d@swipnet.se> | ||
| 2 | |||
| 3 | * configure.in (HAVE_GTK_MULTIDISPLAY): Check if GTK can handle | ||
| 4 | multiple displays. | ||
| 5 | |||
| 1 | 2003-09-23 Dave Love <fx@gnu.org> | 6 | 2003-09-23 Dave Love <fx@gnu.org> |
| 2 | 7 | ||
| 3 | * configure.in: Check members of struct ifreq. | 8 | * configure.in: Check members of struct ifreq. |
| @@ -950,7 +950,7 @@ ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd` | |||
| 950 | else | 950 | else |
| 951 | echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2 | 951 | echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2 |
| 952 | fi | 952 | fi |
| 953 | cd "$ac_popdir" | 953 | cd $ac_popdir |
| 954 | done | 954 | done |
| 955 | fi | 955 | fi |
| 956 | 956 | ||
| @@ -1147,7 +1147,7 @@ _ASBOX | |||
| 1147 | echo "$as_me: caught signal $ac_signal" | 1147 | echo "$as_me: caught signal $ac_signal" |
| 1148 | echo "$as_me: exit $exit_status" | 1148 | echo "$as_me: exit $exit_status" |
| 1149 | } >&5 | 1149 | } >&5 |
| 1150 | rm -f core *.core && | 1150 | rm -f core core.* *.core && |
| 1151 | rm -rf conftest* confdefs* conf$$* $ac_clean_files && | 1151 | rm -rf conftest* confdefs* conf$$* $ac_clean_files && |
| 1152 | exit $exit_status | 1152 | exit $exit_status |
| 1153 | ' 0 | 1153 | ' 0 |
| @@ -3420,7 +3420,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | |||
| 3420 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 3420 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| 3421 | (exit $ac_status); }; }; then | 3421 | (exit $ac_status); }; }; then |
| 3422 | for ac_declaration in \ | 3422 | for ac_declaration in \ |
| 3423 | '' \ | 3423 | ''\ |
| 3424 | '#include <stdlib.h>' \ | ||
| 3424 | 'extern "C" void std::exit (int) throw (); using std::exit;' \ | 3425 | 'extern "C" void std::exit (int) throw (); using std::exit;' \ |
| 3425 | 'extern "C" void std::exit (int); using std::exit;' \ | 3426 | 'extern "C" void std::exit (int); using std::exit;' \ |
| 3426 | 'extern "C" void exit (int) throw ();' \ | 3427 | 'extern "C" void exit (int) throw ();' \ |
| @@ -3434,8 +3435,8 @@ _ACEOF | |||
| 3434 | cat confdefs.h >>conftest.$ac_ext | 3435 | cat confdefs.h >>conftest.$ac_ext |
| 3435 | cat >>conftest.$ac_ext <<_ACEOF | 3436 | cat >>conftest.$ac_ext <<_ACEOF |
| 3436 | /* end confdefs.h. */ | 3437 | /* end confdefs.h. */ |
| 3437 | $ac_declaration | ||
| 3438 | #include <stdlib.h> | 3438 | #include <stdlib.h> |
| 3439 | $ac_declaration | ||
| 3439 | int | 3440 | int |
| 3440 | main () | 3441 | main () |
| 3441 | { | 3442 | { |
| @@ -4748,7 +4749,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 4748 | ( exit $ac_status ) | 4749 | ( exit $ac_status ) |
| 4749 | ac_cv_header_stdc=no | 4750 | ac_cv_header_stdc=no |
| 4750 | fi | 4751 | fi |
| 4751 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 4752 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 4752 | fi | 4753 | fi |
| 4753 | fi | 4754 | fi |
| 4754 | fi | 4755 | fi |
| @@ -5401,7 +5402,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 5401 | ( exit $ac_status ) | 5402 | ( exit $ac_status ) |
| 5402 | ac_cv_header_stdc=no | 5403 | ac_cv_header_stdc=no |
| 5403 | fi | 5404 | fi |
| 5404 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 5405 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 5405 | fi | 5406 | fi |
| 5406 | fi | 5407 | fi |
| 5407 | fi | 5408 | fi |
| @@ -7985,7 +7986,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 7985 | ( exit $ac_status ) | 7986 | ( exit $ac_status ) |
| 7986 | ac_cv_func_mmap_fixed_mapped=no | 7987 | ac_cv_func_mmap_fixed_mapped=no |
| 7987 | fi | 7988 | fi |
| 7988 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 7989 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 7989 | fi | 7990 | fi |
| 7990 | fi | 7991 | fi |
| 7991 | echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5 | 7992 | echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5 |
| @@ -8764,6 +8765,8 @@ echo "$as_me: error: Library requirements ($GTK_MODULES) not met; consider adjus | |||
| 8764 | 8765 | ||
| 8765 | 8766 | ||
| 8766 | C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" | 8767 | C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" |
| 8768 | CFLAGS="$CFLAGS $GTK_CFLAGS" | ||
| 8769 | LIBS="$GTK_LIBS $LIBS" | ||
| 8767 | HAVE_GTK=yes | 8770 | HAVE_GTK=yes |
| 8768 | 8771 | ||
| 8769 | cat >>confdefs.h <<\_ACEOF | 8772 | cat >>confdefs.h <<\_ACEOF |
| @@ -8773,6 +8776,99 @@ _ACEOF | |||
| 8773 | USE_X_TOOLKIT=none | 8776 | USE_X_TOOLKIT=none |
| 8774 | 8777 | ||
| 8775 | with_toolkit_scroll_bars=yes | 8778 | with_toolkit_scroll_bars=yes |
| 8779 | |||
| 8780 | HAVE_GTK_MULTIDISPLAY=no | ||
| 8781 | |||
| 8782 | for ac_func in gdk_display_open | ||
| 8783 | do | ||
| 8784 | as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` | ||
| 8785 | echo "$as_me:$LINENO: checking for $ac_func" >&5 | ||
| 8786 | echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 | ||
| 8787 | if eval "test \"\${$as_ac_var+set}\" = set"; then | ||
| 8788 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
| 8789 | else | ||
| 8790 | cat >conftest.$ac_ext <<_ACEOF | ||
| 8791 | #line $LINENO "configure" | ||
| 8792 | /* confdefs.h. */ | ||
| 8793 | _ACEOF | ||
| 8794 | cat confdefs.h >>conftest.$ac_ext | ||
| 8795 | cat >>conftest.$ac_ext <<_ACEOF | ||
| 8796 | /* end confdefs.h. */ | ||
| 8797 | /* System header to define __stub macros and hopefully few prototypes, | ||
| 8798 | which can conflict with char $ac_func (); below. | ||
| 8799 | Prefer <limits.h> to <assert.h> if __STDC__ is defined, since | ||
| 8800 | <limits.h> exists even on freestanding compilers. */ | ||
| 8801 | #ifdef __STDC__ | ||
| 8802 | # include <limits.h> | ||
| 8803 | #else | ||
| 8804 | # include <assert.h> | ||
| 8805 | #endif | ||
| 8806 | /* Override any gcc2 internal prototype to avoid an error. */ | ||
| 8807 | #ifdef __cplusplus | ||
| 8808 | extern "C" | ||
| 8809 | { | ||
| 8810 | #endif | ||
| 8811 | /* We use char because int might match the return type of a gcc2 | ||
| 8812 | builtin and then its argument prototype would still apply. */ | ||
| 8813 | char $ac_func (); | ||
| 8814 | /* The GNU C library defines this for functions which it implements | ||
| 8815 | to always fail with ENOSYS. Some functions are actually named | ||
| 8816 | something starting with __ and the normal name is an alias. */ | ||
| 8817 | #if defined (__stub_$ac_func) || defined (__stub___$ac_func) | ||
| 8818 | choke me | ||
| 8819 | #else | ||
| 8820 | char (*f) () = $ac_func; | ||
| 8821 | #endif | ||
| 8822 | #ifdef __cplusplus | ||
| 8823 | } | ||
| 8824 | #endif | ||
| 8825 | |||
| 8826 | int | ||
| 8827 | main () | ||
| 8828 | { | ||
| 8829 | return f != $ac_func; | ||
| 8830 | ; | ||
| 8831 | return 0; | ||
| 8832 | } | ||
| 8833 | _ACEOF | ||
| 8834 | rm -f conftest.$ac_objext conftest$ac_exeext | ||
| 8835 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
| 8836 | (eval $ac_link) 2>&5 | ||
| 8837 | ac_status=$? | ||
| 8838 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
| 8839 | (exit $ac_status); } && | ||
| 8840 | { ac_try='test -s conftest$ac_exeext' | ||
| 8841 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | ||
| 8842 | (eval $ac_try) 2>&5 | ||
| 8843 | ac_status=$? | ||
| 8844 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
| 8845 | (exit $ac_status); }; }; then | ||
| 8846 | eval "$as_ac_var=yes" | ||
| 8847 | else | ||
| 8848 | echo "$as_me: failed program was:" >&5 | ||
| 8849 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
| 8850 | |||
| 8851 | eval "$as_ac_var=no" | ||
| 8852 | fi | ||
| 8853 | rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | ||
| 8854 | fi | ||
| 8855 | echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5 | ||
| 8856 | echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6 | ||
| 8857 | if test `eval echo '${'$as_ac_var'}'` = yes; then | ||
| 8858 | cat >>confdefs.h <<_ACEOF | ||
| 8859 | #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 | ||
| 8860 | _ACEOF | ||
| 8861 | HAVE_GTK_MULTIDISPLAY=yes | ||
| 8862 | fi | ||
| 8863 | done | ||
| 8864 | |||
| 8865 | if test "${HAVE_GTK_MULTIDISPLAY}" = "yes"; then | ||
| 8866 | |||
| 8867 | cat >>confdefs.h <<\_ACEOF | ||
| 8868 | #define HAVE_GTK_MULTIDISPLAY 1 | ||
| 8869 | _ACEOF | ||
| 8870 | |||
| 8871 | fi | ||
| 8776 | fi | 8872 | fi |
| 8777 | 8873 | ||
| 8778 | if test x"${USE_X_TOOLKIT}" = xmaybe; then | 8874 | if test x"${USE_X_TOOLKIT}" = xmaybe; then |
| @@ -11337,7 +11433,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 11337 | ( exit $ac_status ) | 11433 | ( exit $ac_status ) |
| 11338 | ac_cv_c_stack_direction=-1 | 11434 | ac_cv_c_stack_direction=-1 |
| 11339 | fi | 11435 | fi |
| 11340 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 11436 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 11341 | fi | 11437 | fi |
| 11342 | fi | 11438 | fi |
| 11343 | echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5 | 11439 | echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5 |
| @@ -12537,7 +12633,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 12537 | ( exit $ac_status ) | 12633 | ( exit $ac_status ) |
| 12538 | ac_cv_func_working_mktime=no | 12634 | ac_cv_func_working_mktime=no |
| 12539 | fi | 12635 | fi |
| 12540 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 12636 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 12541 | fi | 12637 | fi |
| 12542 | fi | 12638 | fi |
| 12543 | echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5 | 12639 | echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5 |
| @@ -17136,7 +17232,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 17136 | ( exit $ac_status ) | 17232 | ( exit $ac_status ) |
| 17137 | emacs_cv_localtime_cache=yes | 17233 | emacs_cv_localtime_cache=yes |
| 17138 | fi | 17234 | fi |
| 17139 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 17235 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 17140 | fi | 17236 | fi |
| 17141 | else | 17237 | else |
| 17142 | # If we lack tzset, report that localtime does not cache TZ, | 17238 | # If we lack tzset, report that localtime does not cache TZ, |
| @@ -17550,7 +17646,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 17550 | ( exit $ac_status ) | 17646 | ( exit $ac_status ) |
| 17551 | emacs_cv_struct_timezone=no | 17647 | emacs_cv_struct_timezone=no |
| 17552 | fi | 17648 | fi |
| 17553 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 17649 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 17554 | fi | 17650 | fi |
| 17555 | else | 17651 | else |
| 17556 | echo "$as_me: failed program was:" >&5 | 17652 | echo "$as_me: failed program was:" >&5 |
| @@ -18422,7 +18518,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 18422 | ( exit $ac_status ) | 18518 | ( exit $ac_status ) |
| 18423 | ac_cv_func_fork_works=no | 18519 | ac_cv_func_fork_works=no |
| 18424 | fi | 18520 | fi |
| 18425 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 18521 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 18426 | fi | 18522 | fi |
| 18427 | fi | 18523 | fi |
| 18428 | echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5 | 18524 | echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5 |
| @@ -18577,7 +18673,7 @@ sed 's/^/| /' conftest.$ac_ext >&5 | |||
| 18577 | ( exit $ac_status ) | 18673 | ( exit $ac_status ) |
| 18578 | ac_cv_func_vfork_works=no | 18674 | ac_cv_func_vfork_works=no |
| 18579 | fi | 18675 | fi |
| 18580 | rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | 18676 | rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext |
| 18581 | fi | 18677 | fi |
| 18582 | fi | 18678 | fi |
| 18583 | echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5 | 18679 | echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5 |
diff --git a/configure.in b/configure.in index 3add836efc4..5a3c296d57e 100644 --- a/configure.in +++ b/configure.in | |||
| @@ -1915,13 +1915,24 @@ if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk"; then | |||
| 1915 | AC_SUBST(GTK_CFLAGS) | 1915 | AC_SUBST(GTK_CFLAGS) |
| 1916 | AC_SUBST(GTK_LIBS) | 1916 | AC_SUBST(GTK_LIBS) |
| 1917 | C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" | 1917 | C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" |
| 1918 | CFLAGS="$CFLAGS $GTK_CFLAGS" | ||
| 1919 | LIBS="$GTK_LIBS $LIBS" | ||
| 1918 | HAVE_GTK=yes | 1920 | HAVE_GTK=yes |
| 1919 | AC_DEFINE(HAVE_GTK, 1, [Define to 1 if using GTK.]) | 1921 | AC_DEFINE(HAVE_GTK, 1, [Define to 1 if using GTK.]) |
| 1920 | USE_X_TOOLKIT=none | 1922 | USE_X_TOOLKIT=none |
| 1921 | 1923 | ||
| 1922 | dnl GTK scrollbars resembles toolkit scrollbars alot, so to avoid | 1924 | dnl GTK scrollbars resemble toolkit scrollbars a lot, so to avoid |
| 1923 | dnl a lot if #ifdef:s, say we have toolkit scrollbars. | 1925 | dnl a lot if #ifdef:s, say we have toolkit scrollbars. |
| 1924 | with_toolkit_scroll_bars=yes | 1926 | with_toolkit_scroll_bars=yes |
| 1927 | |||
| 1928 | dnl Check if we can use multiple displays with this GTK version. | ||
| 1929 | dnl If gdk_display_open exists, assume all others are there also. | ||
| 1930 | HAVE_GTK_MULTIDISPLAY=no | ||
| 1931 | AC_CHECK_FUNCS(gdk_display_open, HAVE_GTK_MULTIDISPLAY=yes) | ||
| 1932 | if test "${HAVE_GTK_MULTIDISPLAY}" = "yes"; then | ||
| 1933 | AC_DEFINE(HAVE_GTK_MULTIDISPLAY, 1, | ||
| 1934 | [Define to 1 if GTK can handle more than one display.]) | ||
| 1935 | fi | ||
| 1925 | fi | 1936 | fi |
| 1926 | 1937 | ||
| 1927 | dnl Do not put whitespace before the #include statements below. | 1938 | dnl Do not put whitespace before the #include statements below. |